Subject: Re: [PATCH] net: fec: fix runtime PM when probing MII bus

From: Andrew Lunn <[email-masked]>
Date: Mon, 20 Jul 2015 15:59:49 +0200

On Mon, Jul 20, 2015 at 03:48:14PM +0200, Lucas Stach wrote:
> In the case where there is no "mdio" bus specified in the devicetree a plain
> mdiobus_register() will be called, which tries to probe the connected PHY
> by doing mdio_read() on the bus.
> Since 6c3e921b18ed (net: fec: Ensure clocks are enabled while using mdio bus)
> this needs runtime PM to be available, but as RPM is only later set up in the
> FEC probe function those calls will fail, which in turn prevents the FEC
> driver to be registered successfully.
> 
> Fix this by moving the RPM setup calls before the MII bus probing.
> 
> Also move autosuspend init calls before runtime_pm_enable() so that the RPM
> callbacks aren't invoked several times during the probe function.
> 
> Signed-off-by: Lucas Stach <[email-masked]>
> ---
> The offending commit got in with v4.2-rc3, so this should be applied as
> a fix for 4.2.

Hi Lucas

The patch adding runtime PM has been reverted by David.

Are you O.K. if i fold you fix into my patch and resubmit. I will add
your Signed-off-by.

Thanks
	Andrew